.auction-item-container {
    --color-primary: #3c8dbc;
    margin-bottom:   20px;
    box-shadow:            2px 4px 4px rgba(0, 0, 0, 0.2);
    border-radius:              8px;
    overflow: hidden;
}

.auction-item-content-container {
    display:               grid;
    grid-template-columns: 1fr;
    position:              relative;
    background:            #ffffff;
    width:                 100%;
}

.item-title-wrapper {
    place-content: center flex-start;
    place-items:   center flex-start;
    padding:       12px;
    position:      relative;
    color:         #ffffff;
    background:    var(--color-primary);
    white-space:   nowrap;
    overflow-x:    hidden;
    text-overflow: ellipsis;
    width:         100%;
    font-size:     20px;
    margin:        0;
    line-height:   1;
}

/* ITEM IMAGE*/
.auction-item-image-wrapper {
    position:      relative;
    display:       flex;
    place-content: center flex-start;
    place-items:   center flex-start;
    height:        165px;
    overflow:      hidden;
    .auction-item-image {
        width:   100%;
        z-index: 1;
    }
    .auction-item-image-blurbg {
        position:  absolute;
        top:       50%;
        left:      50%;
        transform: translate(-50%, -50%);
        scale:     1.25;
        filter:    blur(12px);
    }
    .item-image-fullscreen {
        position:      absolute;
        top:           8px;
        right:         8px;
        border-radius: 4px;
        background:    hsla(0, 0%, 0%, 0.65);
        box-shadow:    0 0 0 1px hsla(0, 0%, 100%, 0.65);
        z-index:       2;
        padding:       0 4px 1px;
        &:hover {
            background: var(--color-primary);
        }
    ;
        a {
            font-size:   14px;
            line-height: 100%;
            color:       #ffffff;
        }
    }
}

/* BID DETAILS */
.bid-live-details-container {
    display:               grid;
    grid-template-columns: repeat(3, 1fr);
    place-items:           center;
    place-content:         center;
    padding:               4px 8px;
    border-bottom:         1px solid var(--color-primary);
    & .--bid-amount {
        font-weight: 800;
        font-size:   20px;
    }
}

.bidding-status-wrapper {
    display: flex;
    width:   100%;
}

/* INNER CONTENT */
.auction-item-box-inner {
    overflow-y: scroll;
    height:     185px;
    padding:    8px 12px 12px;
    &::after {
        content:    "";
        z-index:    1;
        position:   absolute;
        height:     55px;
        bottom:     0;
        left:       0;
        right:      0;
        background: linear-gradient(to top, white, transparent);
    }
}
